/* Templates */
DELETE FROM O4SRV.TMANTMPL WHERE NAME = "Linux System";

/* Template status */
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "Linux System";

/* Template states */
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "Linux System";

/* Commands */
DELETE FROM O4SRV.CCT WHERE KEY = "1010831131704000";

/* Situations */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Fragmented_File_System
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_High_CPU_Overload";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_High_CPU_System";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_High_Packet_Collisions
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_High_RPC_Retransmit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_High_Zombies";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Low_Pct_Inodes";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Low_Space_Available";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Low_percent_space";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_NFS_Buffer_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_NFS_Getattr_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_NFS_Read_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_NFS_Writes_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_NFS_rdlink_high";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Network_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Packets_Error";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Process_High_Cpu";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_Process_stopped";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_RPC_Bad_Calls";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Linux_System_Thrashing";

/* Object activation list */
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Fragmented_File_System
";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_High_CPU_Overload";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_High_CPU_System";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_High_Packet_Collisions
";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_High_RPC_Retransmit";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_High_Zombies";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Low_Pct_Inodes";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Low_Space_Available";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Low_percent_space";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_NFS_Buffer_High";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_NFS_Getattr_High";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_NFS_Read_High";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_NFS_Writes_High";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_NFS_rdlink_high";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Network_Status";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Packets_Error";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Process_High_Cpu";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_Process_stopped";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_RPC_Bad_Calls";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "Linux_System_Thrashing";

/* Product Provided Situations and Templates for...                   */
/* TEMA for        Linux                                              */
/*                                                                    */
/*                                                                    */
/*----------------------------------------------------------------------
/*-------------------------- Maintenance Log ---------------------------
   
 ----------------------------------------------------------------------*/

/* The Linux System Template */

INSERT INTO O4SRV.TMANTMPL
 ( NAME, TEXT, AFFINITIES,
 ATTRIBS, AREA,  LSTDATE, LSTUSRPRF)
 VALUES(
   "Linux System",                                  /* NAME       */
   "LINUX System Template",                         /* TEXT       */
   "0000000000000000000000G00000000000000000000",   /* AFFINITIES */
    1281,                                           /* ATTRIBS    */
    32,                                             /* AREA       */
   "1010831131704000",                              /* LSTDATE    */
   "ITM610"); 

/* ***************************************************** */
/* Commands                                              */
/* ***************************************************** */
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("0000000000000000000000G00000000000000000000",
   "kill &Linux_Process.Process_ID",
   "Sample defined action for Linux",
   "",
   "1010831131704000",
   "Sample Linux Kill Process",
   "",
   "",
   "",
   ""  );

/* ***************************************************** */
/* Situations                                            */
/* ***************************************************** */
/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Fragmented_File_System */
$PARMS("Delete unused files to free some inodes");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES('Linux_Fragmented_File_System',?,"0000000000000000000000G0
0000000000000000000","","NNN","*NO","*NONE","","","","","en_US","1050429
163228000","v610","ITM610","","","","","","Linu","E","0","010000","","",
"*NONE","SEV=Warning;ATOM=LNXDISK.DSKNAME","","The percentage of i-nodes
 to disk space used high","*IF *VALUE Linux_Disk.Space_Used_Percent *LT 
85 *AND *VALUE Linux_Disk.Inodes_Used_Percent *GT 80");

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_High_CPU_Overload */
$PARMS("A frequently low value for CPU in idle state indicates that the 
processor is overloaded");                                              
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_High_CPU_Overload",?,"0000000000000000000000G000000
00000000000000","","NNN","*YES","*NONE","","","","","en_US","10504271351
20000","v610","ITM610","","","","","","Linu","E","0","001500","","","*NO
NE","SEV=Warning;ATOM=LNXCPU.CPUID","","Percentage of processor time in 
idle state low warning","*IF *VALUE Linux_CPU.Idle_CPU *LT 10.0 *AND *VA
LUE Linux_CPU.CPU_ID *EQ Aggregate"); 
/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_High_CPU_System */
$PARMS("Check for runaway processes");                                  
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_High_CPU_System",?,"0000000000000000000000G00000000
000000000000","","NNN","*NO","*NONE","","","","","en_US","10504271351320
00","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE"
,"SEV=Critical;ATOM=LNXCPU.CPUID","","High percentage of processor time 
is used for system calls","*IF *VALUE Linux_CPU.CPU_ID *EQ Aggregate *AN
D *VALUE Linux_CPU.System_CPU *GT 80.0"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_High_Packet_Collisions */
$PARMS("Check for Network card related problems");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_High_Packet_Collisions",?,"0000000000000000000000G0
00000000#*000000000","","NNN","*YES","*NONE","","","","","en_US","105042
9014532000","v610","ITM610","","","","","","Linu","E","0","000500","",""
,"*NONE","SEV=Critical;ATOM=LNXNET.FNAME","","Percentage of transmitted 
packet collision is high","*IF *VALUE Linux_Network.Collision_Percent *G
T 10"); 
/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_High_RPC_Retransmit */
$PARMS("High Retransmits");                                             
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_High_RPC_Retransmit",?,"0000000000000000000000G0000
00000#*000000000","","NNN","*NO","*NONE","","","","","en_US","1050429103
445000","v610","ITM610","","","","","","Linu","E","0","001500","","","*N
ONE","SEV=Warning","","The percentage of retransmits for RPC Server call
 is high","*IF *PCTCHANGE Linux_RPC_Statistics.RPC_Client_Calls_Retransm
itted *GT 10"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_High_Zombies */
$PARMS("High Zombies");                                                 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_High_Zombies",?,"0000000000000000000000G00000000000
000000000","","NNN","*YES","*NONE","","","","","en_US","1050429103612000
","v610","ITM610","","","","","","Linu","E","0","003000","","","*NONE","
SEV=Warning;ATOM=LNXPROC.CMDU","","The number of processes in zombie sta
te high","*IF *VALUE Linux_Process.State *EQ Zombie *AND *COUNT Linux_Pr
ocess.State *GT 20"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Low_Pct_Inodes */
$PARMS("Percentage of available i-nodes is low. Delete unused files to m
ake additional inodes available or back up the partition, create a fresh
 file system with a larger bytes per inode value.");                    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Low_Pct_Inodes",?,"0000000000000000000000G000000000
00000000000","","NNN","*YES","*NONE","","","","","en_US","10504271351430
00","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE"
,"SEV=Warning;ATOM=LNXDISK.DSKNAME","","Percentage of available i-nodes 
is low","*IF *VALUE Linux_Disk.Inodes_Used_Percent *GT 80");

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Low_Space_Available */
$PARMS("The available space on the file system is low, delete or compres
s any unused files to make additional space available. If this filesyste
m is not heavily used, this warning may be ignored.");                  
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Low_Space_Available",?,"0000000000000000000000G0000
0000000000000000","","NNN","*NO","*NONE","","","","","en_US","1050427135
054000","v610","ITM610","","","","","","Linu","E","0","003000","","","*N
ONE","SEV=Warning;ATOM=LNXDISK.DSKNAME","","Available space on a filesys
tem is low","*IF *VALUE Linux_Disk.Space_Available *LT 7"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Low_percent_space */
$PARMS("The percentage of available disk space for this file system is l
ow. Please check usage moving averages to evaluate whether any actions a
re required to make addition disk space available on this file system.")
;                                                                       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Low_percent_space",?,"0000000000000000000000G000000
00000000000000","","NNN","*YES","*NONE","","","","","en_US","10504271350
36000","v610","ITM610","","","","","","Linu","E","0","001500","","","*NO
NE","SEV=Warning;ATOM=LNXDISK.DSKNAME","","Percentage of space available
 on a file-system is low","*IF *VALUE Linux_Disk.Space_Available_Percent
 *LT 15"
); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_NFS_Buffer_High */
$PARMS("Network Issues or NFS buffer size configuration");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_NFS_Buffer_High",?,"0000000000000000000000G00000000
000000000000","","NNN","*NO","*NONE","","","","","en_US","10504290954170
00","v610","ITM610","","","","","","Linu","E","0","001000","","","*NONE"
,"SEV=Warning","","RPC retransmits are high and no duplicate acknowledge
ments","*IF *VALUE Linux_RPC_Statistics.RPC_Client_Calls_Retransmitted *
GT 60 *AND *PCTCHANGE Linux_RPC_Statistics.RPC_Client_Times_Authenticati
on_Refreshed *GT 5"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_NFS_Getattr_High */
$PARMS("*NONE");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_NFS_Getattr_High",?,"0000000000000000000000G0000000
0000000000000","","NNN","*NO","*NONE","","","","","en_US","1050429095633
000","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE
","SEV=Warning","","The percentage of NFS server calls to read client at
tribute high","*IF *VALUE Linux_NFS_Statistics.NFS_Get_Attribute_Calls_P
ct *GT 40"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_NFS_Read_High */
$PARMS("*NONE");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_NFS_Read_High",?,"0000000000000000000000G0000000000
0000000000","","NNN","*NO","*NONE","","","","","en_US","1050429095947000
","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE","
SEV=Warning;COUNT=3","","The percentage of NFS server calls for read ope
rations high","*IF *VALUE Linux_NFS_Statistics.NFS_Read_Calls_Pct *GT 30
"); 
/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_NFS_Writes_High */
$PARMS("Readlink operation high");                                      
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_NFS_Writes_High",?,"0000000000000000000000G00000000
000000000000","","NNN","*NO","*NONE","","","","","en_US","10504291003070
00","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE"
,"SEV=Warning;COUNT=3","","The percentage of NFS server calls for write 
operationshigh","*IF *VALUE Linux_NFS_Statistics.NFS_Writes_Pct *GT 15"
); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_NFS_rdlink_high */
$PARMS("Readlink operation high");                                      
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_NFS_rdlink_high",?,"0000000000000000000000G00000000
000000000000","","NNN","*NO","*NONE","","","","","en_US","10504291001400
00","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE"
,"SEV=Warning;COUNT=3","","The percentage of NFS server calls for read l
ink operations high","*IF *VALUE Linux_NFS_Statistics.NFS_Read_Link_Pct 
*GT 10"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Network_Status */
$PARMS("Network Interface Card is down");                               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Network_Status",?,"0000000000000000000000G000000000
00000000000","","NNN","*NO","*NONE","","","","","en_US","105042909585400
0","v610","ITM610","","","","","","Linu","E","0","010000","","","*NONE",
"SEV=Warning;ATOM=LNXNET.FNAME","","The Network Interface Card is not cu
rrently up","*IF *VALUE Linux_Network.Interface_Status *NE UP");

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Packets_Error */
$PARMS("*NONE");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Packets_Error",?,"0000000000000000000000G0000000000
0000000000","","NNN","*YES","*NONE","","","","","en_US","105042909292900
0","v610","ITM610","","","","","","Linu","E","0","000500","","","*NONE",
"SEV=Warning;ATOM=LNXNET.FNAME","","Percentage of network packets in err
or is high","*IF *VALUE Linux_Network.Total_Error_Percent *GT 10"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Process_High_Cpu */
$PARMS("High Process CPU usage");                                      
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Process_High_Cpu",?,"0000000000000000000000G0000000
0000000000000","","NNN","*YES","*NONE","","","","","en_US","105042913474
2000","v610","ITM610","","","","","","Linu","E","0","001500","","","*NON
E","SEV=Warning;ATOM=LNXPROC.CMDU","","Percentage of Processor time used
 by process high","*IF *VALUE Linux_Process.Busy_CPU_Pct *GT 60.0"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_Process_stopped */
$PARMS("Processes stopped");                                            
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_Process_stopped",?,"0000000000000000000000G00000000
000000000000","","NNN","*YES","*NONE","","","","","en_US","1050429140038
000","v610","ITM610","","","","","","Linu","E","0","001500","","","*NONE
","SEV=Critical;ATOM=LNXPROC.CMDU","","Stopped processes on this system"
,"*IF *VALUE Linux_Process.State *NE Running *AND *VALUE Linux_Process.S
tate *NE Sleeping"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_RPC_Bad_Calls */
$PARMS("*NONE");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_RPC_Bad_Calls",?,"0000000000000000000000G0000000000
0000000000","","NNN","*YES","*NONE","","","","","en_US","105042901512700
0","v610","ITM610","","","","","","Linu","E","0","000500","","","*NONE",
"SEV=Warning","","Percentage of rejected RPC server or client calls is h
igh","*IF ( ( *VALUE Linux_RPC_Statistics.RPC_Client_Calls_Retransmitted
 *GT 30 ) *OR ( *VALUE Linux_RPC_Statistics.RPC_Server_Calls_Rejected *G
T 30 ) )"); 

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
/* Linux_System_Thrashing */
$PARMS("*NONE");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Linux_System_Thrashing",?,"0000000000000000000000G0000000
0000000000000","","NNN","*YES","*NONE","","","","","en_US","105042901331
8000","v610","ITM610","","","","","","Linu","E","0","000500","","","*NON
E","SEV=Critical;COUNT=4","","","*IF ( ( *VALUE Linux_System_Statistics.
Pages_paged_out_per_sec *GT 400.0 ) *OR ( *VALUE Linux_System_Statistics
.Pages_paged_in_per_sec *GT 400.0 ) )"); 

/* ***************************************************** */
/* Assignment of situations to the template              */
/* ***************************************************** */
INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE , STATE , TYPE , NAME )
VALUES
  ( "Linux System" , "Unknown" , 256 , "*Not Monitored" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE , STATE , TYPE , NAME )
VALUES
  ( "Linux System" , "Unknown" , 0 , "*TIVOLI_NOT_INSTALLED" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE , STATE , TYPE , NAME )
VALUES
  ( "Linux System" , "Unknown" , 0 , "*STATUS_UNKNOWN" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE , STATE , TYPE , NAME )
VALUES
  ( "Linux System" , "Unknown" , 256 , "*Unknown" );

/* Note: Need one for each situation for LZ */
INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_Fragmented_File_System" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_High_CPU_Overload" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_High_CPU_System" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Critical" ,
   0 ,
   "Linux_High_Packet_Collisions" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_High_RPC_Retransmit" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE , STATE , TYPE , NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_High_Zombies" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 , 
   "Linux_Low_Pct_Inodes" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Critical" ,
   0 ,
   "Linux_Low_Space_Available" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_Low_percent_space" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_NFS_Buffer_High" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_NFS_Getattr_High" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_NFS_Read_High" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_NFS_Writes_High" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_NFS_rdlink_high" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_Network_Status" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_Packets_Error" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_Process_High_Cpu" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Critical" ,
   0 ,
   "Linux_Process_stopped" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Warning" ,
   0 ,
   "Linux_RPC_Bad_Calls" );

INSERT INTO O4SRV.TTMPLSIT
  ( TEMPLATE ,
    STATE ,
    TYPE ,
    NAME )
VALUES
  ("Linux System" ,
   "Critical" ,
   0 ,
   "Linux_System_Thrashing" );

/* ***************************************************** */
/* Assignment of status values to template states        */
/* One and only.  No need for additions.                 */
/* ***************************************************** */
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE , NAME , SEVERITY ,
   ATTRIBS , TEXT
  )
VALUES
  ("Linux System" , "Critical" , 90 ,
   257 ,         "Critical State"
  );

INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE , NAME , SEVERITY ,
   ATTRIBS , TEXT
  )
VALUES
  ("Linux System" , "Not Monitored" , 0 ,
   257 ,         "Not Monitored State"
  );

INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE , NAME , SEVERITY ,
   ATTRIBS , TEXT
  )
VALUES
  ("Linux System" , "OK" , -1 ,
   65795 ,       "Normal and Available State"
  );

INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE , NAME , SEVERITY ,
   ATTRIBS , TEXT
  )
VALUES
  ("Linux System" , "Unknown" , 95 ,
   257 ,         "Unknown State"
  );

INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE , NAME , SEVERITY ,
   ATTRIBS , TEXT
  )
VALUES
  ("Linux System" , "Warning" , 30 ,
   257 ,         "Warning State"
  );

/* ***************************************************** */
/* Object activation list                                */
/* One insert for each situation                         */
/* ***************************************************** */
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Fragmented_File_System" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_High_CPU_Overload" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_High_CPU_System" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_High_Packet_Collisions" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_High_RPC_Retransmit" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_High_Zombies" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Low_Pct_Inodes" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Low_Space_Available" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Low_percent_space" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );

INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_NFS_Buffer_High" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_NFS_Getattr_High" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_NFS_Read_High" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_NFS_Writes_High" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_NFS_rdlink_high" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Network_Status" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Packets_Error" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Process_High_Cpu" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_Process_stopped" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_RPC_Bad_Calls" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
INSERT INTO O4SRV.TOBJACCL
 (NODEL, OBJNAME,
  HUB, LSTDATE, LSTRELEASE, LSTUSRPRF
   , OBJCLASS
 )
VALUES (
 "*LINUX_SYSTEM" , "Linux_System_Thrashing" ,
 "Y", "1010831131704000", "v610", "ITM610"
  , "5140"
 );
/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Fragmented_File_System";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2122" 
    WHERE SITNAME = "Linux_Fragmented_File_System";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Fragmented_File_System";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2123" 
    WHERE SITNAME = "Linux_High_CPU_Overload";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_High_CPU_Overload";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2124" 
    WHERE SITNAME = "Linux_High_CPU_System";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_High_CPU_System";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2125" 
    WHERE SITNAME = "Linux_High_Packet_Collisions";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_High_Packet_Collisions";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2126" 
    WHERE SITNAME = "Linux_High_RPC_Retransmit";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_High_RPC_Retransmit";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2127" 
    WHERE SITNAME = "Linux_High_Zombies";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_High_Zombies";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2128" 
    WHERE SITNAME = "Linux_Low_Pct_Inodes";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Low_Pct_Inodes";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2129" 
    WHERE SITNAME = "Linux_Low_Space_Available";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Low_Space_Available";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2130" 
    WHERE SITNAME = "Linux_Low_percent_space";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Low_percent_space";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2131" 
    WHERE SITNAME = "Linux_NFS_Buffer_High";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_NFS_Buffer_High";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2132" 
    WHERE SITNAME = "Linux_NFS_Getattr_High";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_NFS_Getattr_High";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2133" 
    WHERE SITNAME = "Linux_NFS_Read_High";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_NFS_Read_High";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2134" 
    WHERE SITNAME = "Linux_NFS_Writes_High";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_NFS_Writes_High";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2135" 
    WHERE SITNAME = "Linux_NFS_rdlink_high";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_NFS_rdlink_high";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2136" 
    WHERE SITNAME = "Linux_Network_Status";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Network_Status";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2137" 
    WHERE SITNAME = "Linux_Packets_Error";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Packets_Error";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2138" 
    WHERE SITNAME = "Linux_Process_High_Cpu";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Process_High_Cpu";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2139" 
    WHERE SITNAME = "Linux_Process_stopped";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_Process_stopped";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2140" 
    WHERE SITNAME = "Linux_RPC_Bad_Calls";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_RPC_Bad_Calls";
UPDATE O4SRV.TSITDESC 
    SET TEXT = "Klz:KLZ2141" 
    WHERE SITNAME = "Linux_System_Thrashing";
UPDATE O4SRV.TSITDESC 
    SET ADVISE = 'ADVICE("klz:"+$ISITSTSH.SITNAME$);' 
    WHERE SITNAME = "Linux_System_Thrashing";
UPDATE O4SRV.CCT
    SET DESC = "Klz:KLZ1021"
    WHERE NAME = "Sample Linux Kill Process";
